set olddb [ns_db gethandle acs32]

set old_faq_id 15
set user_id [ad_conn user_id]
set creation_ip [ns_conn peeraddr]

set selection [ns_db select $olddb "select * from faq_q_and_a where faq_id = $old_faq_id"]

db_transaction {
    while { [ns_db getrow $olddb $selection] } {
	set_variables_after_query

	set faq_id 43842
	set entry_id [db_nextval acs_object_id_seq]

	db_exec_plsql create_q_and_a {
	select faq__new_q_and_a (
				 :entry_id,
				 :faq_id,
				 :question,
				 :answer,
				 :sort_key,
                                                        'faq_q_and_a',
                                                        now(),
				 :user_id,
				 :creation_ip,
				 :faq_id
				 );
	}

	append output "adding entry_id: $entry_id<br>"

    }
} on_error {
    set output "<h3>Error:</h3><pre>$errmsg</pre>"
}

ns_db releasehandle $olddb

ns_return 200 text/html $output
